org.apache.uima.analysis_engine

## Interface TaeDescription

- All Superinterfaces:
    AnalysisEngineDescription, Cloneable, MetaDataObject, ResourceCreationSpecifier, ResourceSpecifier, Serializable, XMLizable
  All Known Implementing Classes:
    TaeDescription_impl

  Deprecated.
  As of v2.0, `AnalysisEngineDescription` should be used instead. This interface no longer defines any additional methods beyond those in AnalysisEngineDescription.

      @Deprecated
      public interface TaeDescription
      extends AnalysisEngineDescription

  An `AnalysisEngineDescription` specific to a Text Analysis Engine (TAE).

- - ### Method Summary

    - ### Methods inherited from interface org.apache.uima.analysis_engine.AnalysisEngineDescription

      `doFullValidation, doFullValidation, getAllComponentSpecifiers, getAnalysisEngineMetaData, getAnnotatorImplementationName, getComponentSpecifier, getDelegateAnalysisEngineSpecifiers, getDelegateAnalysisEngineSpecifiers, getDelegateAnalysisEngineSpecifiersWithImports, getFlowControllerDeclaration, getFrameworkImplementation, getSofaMappings, isPrimitive, resolveImports, resolveImports, setAnnotatorImplementationName, setFlowControllerDeclaration, setFrameworkImplementation, setPrimitive, setSofaMappings, toXML, toXML, toXML`

    - ### Methods inherited from interface org.apache.uima.resource.ResourceCreationSpecifier

      `getExternalResourceDependencies, getExternalResourceDependency, getImplementationName, getMetaData, getResourceManagerConfiguration, setExternalResourceDependencies, setImplementationName, setMetaData, setResourceManagerConfiguration, validate, validate`

    - ### Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject

      `clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

    - ### Methods inherited from interface org.apache.uima.util.XMLizable

      `buildFromXMLElement, buildFromXMLElement, toXML, toXML, toXML, toXML`

Copyright © 2006–2021 The Apache Software Foundation. All rights reserved.